function Create(self)
    for actor in MovableMan.Actors do
		if math.abs(actor.Pos.X - self.Pos.X) < 70 and math.abs(actor.Pos.Y - self.Pos.Y) < 70 then
			self.owner = actor;
		end
	end
	if self.owner ~= nil and self.owner.pbc == nil then
		self.owner.pbc = self;
		self.checkTimer = Timer();
		self.timer = Timer();
		self.Scale = 0.1;
		self.Vel = Vector(0,0);
		for i = 1, MovableMan:GetMOIDCount()-1, 1 do
			local gun = MovableMan:GetMOFromID(i);
			if gun.PresetName == "Particle Accelerator" then
				if math.abs(gun.Pos.X - self.Pos.X) < 70 and math.abs(gun.Pos.Y - self.Pos.Y) < 70 and gun.PresetName == "Particle Accelerator" then
					self.gun = gun;
					--self.owner = MovableMan:GetMOFromID(gun.RootID);
				end
			end
		end
	else
		self:GibThis();
	end
end



function Destroy(self)
end


function Update(self)
	--Checks whether the user is holding the fire button.
	if self.owner:GetController():IsState(Controller.WEAPON_FIRE) then
		if self.gun == nil then
		--self:GibThis();
		end
		--Within interval of each 100ms, grow the charge ball by +0.05 scale. Up until 1.5 is reached.
		--This is purely a special effect. A very cool effect btw.
		if self.timer:IsPastSimMS(100) then
			if self.Scale < 1.5 then
				self.Scale = self.Scale + 0.05;
				self.timer:Reset();
			else
				self.Scale = 1.5;
			end
		end
		
		--This wtf code aligns the shot infront of the gun somehow. Srsly those Lua guys are fudge nuclear scientist.
		if self.checkTimer:IsPastSimMS(15) then
			local theta = ToActor(self.owner):GetAimAngle(true);
			self.Pos = self.gun.Pos + Vector(math.cos(theta)*30,math.sin(theta)*-30);
			
			--if self.owner ~= nil then
				--for actor in MovableMan.Actors do
				--if actor.ID ~= self.owner.ID then
				--	if (actor.Pos - self.Pos).Magnitude < (10 + (self.Scale * 7.5)) and self.Scale < 0.5 then --Gives it a range from 10 to 21.75.  1.5 is the max scale.
				--		actor:GibThis();
				--	end
				--end
			--end
			
			--This code takes anything harmful and gravitates them at the center of the ball. 
			--Do note: it takes ANYTHING harmful, not just the deadly particles it already produces.
			local power = (50 * (2 + self.Scale));	--Has the power of pull increase as the ball grows larger.
			for particle in MovableMan.Particles do
				if particle.PresetName ~= nil and (particle.PinStrength <= 0) and (particle.HitsMOs == true) then --As long as the particle exists and isn't a presumably effect particle and is not pinned nor hitmos = 0.
					if math.abs(particle.Pos.X - self.Pos.X) < power and math.abs(particle.Pos.Y - self.Pos.Y) < power then
						local distVec = self.Pos - particle.Pos; --Makes a new vector of the difference in position between the orb and the affected particle
						particle.Vel = particle.Vel + distVec:SetMagnitude(distVec.Magnitude/50); --Add the above defined vector divided by 50 to the particle's velocity, propelling it in the orb's direction.
					end
				end
				
			end
			
		--end	
			self.checkTimer:Reset();
		end
	else
		self.owner.pbc = nil;
		local power = (80 * (2+self.Scale)); --(100 * (2 + self.Scale))
		for particle in MovableMan.Particles do
			local distVec = self.Pos - particle.Pos;
			if distVec.Magnitude < power then
				local theta = ToActor(self.owner):GetAimAngle(true);
				particle.Vel = Vector(math.cos(theta), -1* math.sin(theta)):SetMagnitude(self.Scale*50*power/distVec.Magnitude);
				--particle.Vel = particle.Vel - distVec:SetMagnitude(distVec.Magnitude*power);
			end
		end
		self:GibThis();
    end
end
