function Create(self)
    print("CREATED: " .. self.PresetName);
    self.checkTimer = Timer();
    self.owner = nil;
    self.Vel = Vector(0,0);

    for actor in MovableMan.Actors do
        if math.abs(actor.Pos.X - self.Pos.X) < 50 and math.abs(actor.Pos.Y - self.Pos.Y) < 50 then
           print(actor);
           self.owner = actor;
        end
    end

    for i = 1, MovableMan:GetMOIDCount()-1, 1 do
        local gun = MovableMan:GetMOFromID(i);
        if gun.PresetName == "Particle Accelerator" then
           if math.abs(gun.Pos.X - self.Pos.X) < 40 and math.abs(gun.Pos.Y - self.Pos.Y) < 40 then
              self.gun = gun;
           end
        end
    end
    
end

function Destroy(self)
    print("DESTROYED: " .. self.PresetName);
end

function Update(self)
    if self.checkTimer:IsPastSimMS(50) then
       local theta = ToActor(self.owner):GetAimAngle(true);
       self.Pos = self.gun.Pos + Vector(math.cos(theta)*50,math.sin(theta)*-50);
       self.checkTimer:Reset();
    end
end
